 #ifndef SQLITEQUERYOPTION_H
#define SQLITEQUERYOPTION_H
#include <string>
#include "queryoption.h"

class SqliteQueryOption
{
private:
	QueryOption o;
	std::string visibleColumnName;
	std::string orderByColumnName;

	bool prependWhere;
public:
	SqliteQueryOption(const QueryOption &o);

	SqliteQueryOption &setOrderByColumn(std::string name);

	SqliteQueryOption &setVisibleColumnName(std::string name);

	SqliteQueryOption &setPrependWhere(bool b);

	std::string build();
};

#endif // SQLITEQUERYOPTION_H
