#ifndef LINKCREATOR_H
#define LINKCREATOR_H
#include "config.h"
#include "varreplacer.h"
class   UrlProvider
{
private:
	const Config *config;

	std::string replaceOnlyPage(std::string templatepart, std::string page);
public:
	UrlProvider(const Config &config) { this->config = &config; }

	std::string index();

	std::string recent();

	std::string recentSorted(unsigned int limit, unsigned int offset, unsigned int sort);

	std::string allPages();

	std::string allCats();

	std::string page(std::string pagename);

   std::string linksHere(std::string pagename);

   std::string pageHistory(std::string pagename);

   std::string pageHistorySort(std::string pagename, unsigned int limit, unsigned int offset, unsigned int sort);

   std::string pageRevision(std::string pagename, unsigned int revision);

   std::string editPage(std::string pagename);

   std::string pageSettings(std::string pagename);


   std::string pageDelete(std::string pagename);

   std::string userchangepw();

   std::string refreshSession();

   std::string category(std::string catname);

   std::string login(std::string page);

};

#endif // LINKCREATOR_H
